<?php
App::uses('EvFiltersAppModel', 'EvFilters.Model');

class FilterGroup extends EvFiltersAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'name';

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'Please enter the filter group name',
			),
		),
	);

	// The Associations below have been created with all possible keys, those that are not needed can be removed

/**
 * belongsTo associations
 *
 * @var array
 */
	public $belongsTo = array(
		'OptionGroup' => array(
			'className' => 'EvShop.OptionGroup',
			'foreignKey' => 'option_group_id'
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'FilterGroupOption' => array(
			'className' => 'EvFilters.FilterGroupOption',
			'foreignKey' => 'filter_group_id',
		)
	);

	public function getFilters() {
		$filters = $this->find('all', array(
			'contain' => array(
				'FilterGroupOption' => array(
					'order' => 'FilterGroupOption.sequence ASC',
					'Option'
				)
			),
			'order' => 'FilterGroup.sequence ASC'
		));

		return $filters;
	}
}
